PARAMS: "--spring.cloud.nacos.discovery.namespace=qrcode-pcb  --spring.cloud.nacos.config.namespace=qrcode-pcb --spring.cloud.nacos.discovery.server-addr=nacos.dz-middleware.svc.cluster.local   --spring.cloud.nacos.config.server-addr=nacos.dz-middleware.svc.cluster.local"
registry: 192.168.31.201/htj_develop
pushPath: 192.168.31.201/htj_develop
service:
  name: gateway
  port: 8080
  nodePort: 30080
  select: factory-tobacco-qrcode-gateway
## 基础模块
version: v24.09.26
# 如果项目base.isUpdate: false / core.isUpdate: false / htj.isUpdate: false 构建整个项目
# 如果模块为true指定项目打包
base:
  dir: "BASE"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-basic.git"
  namespace: qrcode-xxx
  isUpdate: true

core:
  dir: "CORE"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcodecore.git"
  namespace: qrcode-xxx
  isUpdate: true
  module:
  - name: factory-tobacco-qrcode-auth
    path: factory-tobacco-qrcode-auth
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-gateway
    path: factory-tobacco-qrcode-gateway
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-data-migrate
    path: factory-tobacco-qrcode-modules-data-migrate
    isEncryption: false
    version: v25.02.14.005-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-device
    path: factory-tobacco-qrcode-modules-device
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-file
    path: factory-tobacco-qrcode-modules-file
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false
#
#  - name: factory-tobacco-qrcode-modules-gen
#    path: factory-tobacco-qrcode-modules-gen
#    isEncryption: false
#    version: v24.12.03.1-2.03.003-cs
#    isUpdate: false

  - name: factory-tobacco-qrcode-modules-monitor-alarm
    path: factory-tobacco-qrcode-modules-monitor-alarm
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-stmb-register
    path: factory-tobacco-qrcode-modules-stmb-register
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-system
    path: factory-tobacco-qrcode-modules-system
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-timesync
    path: factory-tobacco-qrcode-modules-timesync
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

htj:
  dir: "HTJ"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcode-htj.git"
  namespace: qrcode-xxx
  isUpdate: true
  module:
  - name: factory-tobacco-qrcode-module-monitoring-platform
    path: factory-tobacco-qrcode-module-monitoring-platform
    isEncryption: false
    version: v25.02.18-2.04.001-index-cs
    isUpdate: true

  - name: factory-tobacco-qrcode-module-product-syncmes
    path: factory-tobacco-qrcode-module-product-syncmes
    isEncryption: false
    version: v25.02.18-2.04.001-index-cs
    isUpdate: true

  - name: factory-tobacco-qrcode-modules-db-version-control
    path: factory-tobacco-qrcode-modules-db-version-control
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-iotege-relation
    path: factory-tobacco-qrcode-modules-iotege-relation
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

#  - name: factory-tobacco-qrcode-modules-product-bloomfilter
#    path: factory-tobacco-qrcode-modules-product-bloomfilter
#    isEncryption: false
#    version: v25.02.13-2.04.001-index-cs
#    isUpdate: false

  - name: factory-tobacco-qrcode-modules-product-relation
    path: factory-tobacco-qrcode-modules-product-relation
    isEncryption: false
    version: v25.02.18-2.04.001-index-cs
    isUpdate: true

  - name: factory-tobacco-qrcode-modules-product-report
    path: factory-tobacco-qrcode-modules-product-report
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-product-statistics
    path: factory-tobacco-qrcode-modules-product-statistics
    isEncryption: false
    version: v25.02.18-2.04.001-index-cs
    isUpdate: true

  - name: factory-tobacco-qrcode-modules-product-upload
    path: factory-tobacco-qrcode-modules-product-upload
    isEncryption: true
    version: v25.02.18-2.04.001-index-cs
    isUpdate: true

  - name: factory-tobacco-qrcode-modules-wip-relation
    path: factory-tobacco-qrcode-modules-wip-relation
    isEncryption: false
    version: v25.02.13-2.04.001-index-cs
    isUpdate: false

web:
  dir: "WEB"
  name: "qrcode-web"
  type: "node"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcode-htj-vue.git"
#  isEncryption: false
  version: v25.02.13-2.04.001-index-cs
  isUpdate: false
